
Tripnet - Bug #21165
Feature # 19785 (Closed): PTN inetgration - B2B only
Child salutation - PTN
06/06/2017 10:24 am - Sreerag Prasannan

Status: Closed Start date: 06/06/2017
Priority: Normal Due date: 06/06/2017
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 6.30 hours
End_Date: 06/06/2017 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

In your Request Reservation, the salutation for child is "Child" with a capital "C". You are currently sending it as "child". Please change
it to "Child".

Your Request Reservation: 
&lt;Request&gt;&lt;SearchUniqueId&gt;4650520170611375653032576344&lt;/SearchUniqueId&gt;&lt;expected_price&gt;73.1
&lt;/expected_price&gt;&lt;xml&gt;1&lt;/xml&gt;&lt;action&gt;hotel_reservation&lt;/action&gt;&lt;username&gt;boodai&lt;/username&gt;&lt;password&gt;aviation789&lt;/password&gt;&lt;hotel_id&gt;593542a0ef194dc44a8b456a&lt;/hotel_id&gt;&lt;uni
me&gt;&lt;password&gt;aviation789&lt;/password&gt;&lt;hotel_id&gt;593542a0ef194dc44a8b456a&lt;/hotel_id&gt;&lt;unique_id&gt;4650520170611375653032576344&lt;/unique_id&gt;&lt;section_unique_id&gt;17_474615-3_0_511&lt;/section_unique_id&gt;&lt;agent_ref_no&gt;caxagentc837f345f28949c8b6a3d6e5425d71f3&lt;/agent_ref_no&gt;&lt;roomDetails&gt;&lt;numberOfChilds&gt;
&gt;4650520170611375653032576344&lt;/unique_id&gt;&lt;section_unique_id&gt;17_474615-3_0_511&lt;/section_unique_id&gt;&lt;agent_ref_no&gt;caxagentc837f345f28949c8b6a3d6e5425d71f3&lt;/agent_ref_no&gt;&lt;roomDetails&gt;&lt;numberOfChilds&gt;1&lt;/numberOfChilds&gt;&lt;roomClassId&gt;1_474615_0_76150&lt;/roomClassId&gt;&lt;passangers&gt;&lt;salutation&gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Mansi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&
gt;&lt;agent_ref_no&gt;caxagentc837f345f28949c8b6a3d6e5425d71f3&lt;/agent_ref_no&gt;&lt;roomDetails&gt;&lt;numberOfChilds&gt;1&lt;/numberOfChilds&gt;&lt;roomClassId&gt;1_474615_0_76150&lt;/roomClassId&gt;&lt;passangers&gt;&lt;salutation&gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Mansi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Bhargavi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;child&lt;/salutation&gt;&lt;fir
ilds&gt;1&lt;/numberOfChilds&gt;&lt;roomClassId&gt;1_474615_0_76150&lt;/roomClassId&gt;&lt;passangers&gt;&lt;salutation&gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Mansi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Bhargavi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;child&lt;/salutation&gt;&lt;first_name&gt;ABC&lt;/first_name&gt;&lt;last_name&gt;TEST&lt;/last_name&gt;&lt;age&gt;2&lt;/age&gt;&lt;/passangers&gt;&lt;/roomDetails&gt;&lt;flag&gt;1&lt;/flag&gt;&lt;/Request&gt;
gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Mansi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Bhargavi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;child&lt;/salutation&gt;&lt;first_name&gt;ABC&lt;/first_name&gt;&lt;last_name&gt;TEST&lt;/last_name&gt;&lt;age&gt;2&lt;/age&gt;&lt;/passangers&gt;&lt;/roomDetails&gt;&lt;flag&gt;1&lt;/flag&gt;&lt;/Request&gt;
;&lt;passangers&gt;&lt;salutation&gt;Miss&lt;/salutation&gt;&lt;first_name&gt;Bhargavi&lt;/first_name&gt;&lt;last_name&gt;Test&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;child&lt;/salutation&gt;&lt;first_name&gt;ABC&lt;/first_name&gt;&lt;last_name&gt;TEST&lt;/last_name&gt;&lt;age&gt;2&lt;/age&gt;&lt;/passangers&gt;&lt;/roomDetails&gt;&lt;flag&gt;1&lt;/flag&gt;&lt;/Request&gt;
&lt;/last_name&gt;&lt;/passangers&gt;&lt;passangers&gt;&lt;salutation&gt;child&lt;/salutation&gt;&lt;first_name&gt;ABC&lt;/first_name&gt;&lt;last_name&gt;TEST&lt;/last_name&gt;&lt;age&gt;2&lt;/age&gt;&lt;/passangers&gt;&lt;/roomDetails&gt;&lt;flag&gt;1&lt;/flag&gt;&lt;/Request&gt;
_name&gt;&lt;last_name&gt;TEST&lt;/last_name&gt;&lt;age&gt;2&lt;/age&gt;&lt;/passangers&gt;&lt;/roomDetails&gt;&lt;flag&gt;1&lt;/flag&gt;&lt;/Request&gt;
t;1&lt;/flag&gt;&lt;/Request&gt;

History
#1 - 06/06/2017 10:27 am - Sreerag Prasannan
- Subject changed from Child salutation - B2C to Child salutation - PTN

#2 - 06/06/2017 11:22 am - Jubin J
- Due date set to 06/06/2017
- Status changed from New to Assigned
- Assignee set to Binsu M Peter

#3 - 06/06/2017 11:36 am - Binsu M Peter
- Status changed from Assigned to In Progress

#4 - 06/06/2017 07:16 pm - Binsu M Peter
- Status changed from In Progress to Fixed not Tested
- % Done changed from 0 to 100
- End_Date set to 06/06/2017

#5 - 06/20/2017 09:26 am - Sreerag Prasannan
- Status changed from Fixed not Tested to Closed
- Assignee deleted (Binsu M Peter)
closed and delivered for certification
